View Issue Details

IDProjectCategoryView StatusLast Update
0008287mantisbtemailpublic2017-11-20 05:47
Reporterpolzin Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version1.1.0a4 
Summary0008287: Missing notification on file attachment
Description

If I attach a file to an issue, there is no notification.
We has some situations were this caused delay.

The attached patch inserts such a notification and reuses the configuration for email_on_bugnote (as it is assumed that this has the same level).
Another possibility would be to use an andditional configuration. Language translation for other languages are not included.

Tagspatch

Relationships

related to 0007835 new Add "Has patch" flag to improve usefulness of the "Upload File" feature 
has duplicate 0008935 closedgiallu No option to send notification on file attachment. 
has duplicate 0019846 closedatrol Enable email notification after a file have been attached 
has duplicate 0023656 closedatrol Email notification adding just an attachment on ticket note 
related to 0003380 acknowledged E-mail notification on editing bugnotes and adding files 

Activities

2007-08-21 05:36

 

patch_file_notification.txt (3,062 bytes)   
? config_inc.php_old
? config_project_inc.php
? local
? patch.file
Index: bug_file_add.php
===================================================================
RCS file: /cvsroot/mantisbt/mantisbt/bug_file_add.php,v
retrieving revision 1.49
diff -u -r1.49 bug_file_add.php
--- bug_file_add.php	8 May 2007 21:42:24 -0000	1.49
+++ bug_file_add.php	21 Aug 2007 09:33:37 -0000
@@ -44,6 +44,8 @@
     $f_file_error =  ( isset( $f_file['error'] ) ) ? $f_file['error'] : 0;
 	file_add( $f_bug_id, $f_file['tmp_name'], $f_file['name'], $f_file['type'], 'bug', $f_file_error );
 
+	email_file_add( $f_bug_id );
+
 	# Determine which view page to redirect back to.
 	$t_redirect_url = string_get_bug_view_url( $f_bug_id );
 
Index: core/email_api.php
===================================================================
RCS file: /cvsroot/mantisbt/mantisbt/core/email_api.php,v
retrieving revision 1.138
diff -u -r1.138 email_api.php
--- core/email_api.php	28 Jul 2007 21:36:50 -0000	1.138
+++ core/email_api.php	21 Aug 2007 09:33:38 -0000
@@ -589,6 +589,11 @@
 		email_generic( $p_bug_id, 'bugnote', 'email_notification_title_for_action_bugnote_submitted' );
 	}
 	# --------------------
+	# send notices when a new file
+	function email_file_add( $p_bug_id ) {
+		email_generic( $p_bug_id, 'bugnote', 'email_notification_title_for_action_file_submitted' );
+	}
+	# --------------------
 	# send notices when a bug is RESOLVED
 	function email_resolved( $p_bug_id ) {
 		email_generic( $p_bug_id, 'resolved', 'email_notification_title_for_status_bug_resolved' );
Index: lang/strings_english.txt
===================================================================
RCS file: /cvsroot/mantisbt/mantisbt/lang/strings_english.txt,v
retrieving revision 1.312
diff -u -r1.312 strings_english.txt
--- lang/strings_english.txt	15 Aug 2007 16:25:29 -0000	1.312
+++ lang/strings_english.txt	21 Aug 2007 09:33:38 -0000
@@ -341,6 +341,7 @@
 $s_email_notification_title_for_action_sponsorship_deleted = 'A sponsorship of the following issue was withdrawn.';
 
 $s_email_notification_title_for_action_bugnote_submitted = 'A NOTE has been added to this issue.';
+$s_email_notification_title_for_action_file_submitted = 'A FILE has been added to this issue.';
 $s_email_notification_title_for_action_duplicate_of_relationship_added = "The following issue has been set as DUPLICATE OF issue %s.";
 $s_email_notification_title_for_action_has_duplicate_relationship_added = "The issue %s has been set as DUPLICATE OF the following issue.";
 $s_email_notification_title_for_action_related_to_relationship_added = "The following issue has been set as RELATED TO issue %s.";
@@ -413,7 +414,7 @@
 $s_email_on_resolved = 'Email on Resolved';
 $s_email_on_closed = 'Email on Closed';
 $s_email_on_reopened = 'Email on Reopened';
-$s_email_on_bugnote_added = 'Email on note Added';
+$s_email_on_bugnote_added = 'Email on note/file Added';
 $s_email_on_status_change = 'Email on Status Change';
 $s_email_on_priority_change = 'Email on Priority Change';
 $s_email_bugnote_limit = 'Email Notes Limit';
patch_file_notification.txt (3,062 bytes)   
vboctor

vboctor

2007-08-22 01:22

manager   ~0015476

I agree with the need for the feature. However, I don't like combining it with the note notifications. I think it should be an independent event with independent configuration.

giallu

giallu

2007-08-22 10:47

reporter   ~0015488

I think this is related to the work needed for 0007835; in particular, in 0005009 we mostly agreed on the need of having the attachment event generating a note so that we can:

  1. know when a given file was attached
  2. show the comment attached to the file as a note

of course, then the note will be forwarded with the same policy as ordinary ones, but I don't think this as an issue

Issue History

Date Modified Username Field Change
2007-08-21 05:36 polzin New Issue
2007-08-21 05:36 polzin File Added: patch_file_notification.txt
2007-08-22 01:22 vboctor Note Added: 0015476
2007-08-22 01:22 vboctor Status new => acknowledged
2007-08-22 10:47 giallu Note Added: 0015488
2007-08-22 10:47 giallu Relationship added related to 0007835
2007-09-11 08:43 vboctor Tag Attached: patch
2007-09-11 08:43 vboctor Status acknowledged => assigned
2007-09-11 08:43 vboctor Assigned To => zakman
2008-03-03 08:55 giallu Relationship added has duplicate 0008935
2008-03-08 04:15 vboctor Assigned To zakman =>
2010-12-27 15:16 atrol Relationship added related to 0003380
2011-08-14 08:22 atrol Relationship added has duplicate 0009602
2011-08-16 06:44 atrol Relationship deleted has duplicate 0009602
2012-08-24 16:12 atrol Status assigned => acknowledged
2015-06-18 09:29 atrol Relationship added has duplicate 0019846
2017-11-20 05:47 atrol Relationship added has duplicate 0023656